{% sw_extends '@Storefront/storefront/page/checkout/confirm/index.html.twig' %}

{% block page_checkout_additional %}
	<div class="checkout-voucher bg-primary text-white">
		{% block page_checkout_finish_customer_voucher %}
			<div class="card checkout-card">
				<div class="card-body">
					{% block page_checkout_confirm_customer_voucher_header %}
						<div class="card-title text-white">
							{{ "sanicura.checkout.voucher.header"|trans|sw_sanitize }}
						</div>
					{% endblock %}
										
										
					{% block page_checkout_confirm_customer_voucher_control %}
						<div class="checkout-customer-voucher-control">
							<p>
								{{ "sanicura.checkout.voucher.description"|trans|sw_sanitize }}
							</p>
							<form action="{{ path('frontend.checkout.promotion.add') }}"
								  class="offcanvas-cart-promotion-form js-offcanvas-cart-add-promotion"
								  method="post">
								
								{% block component_offcanvas_cart_actions_promotion_form_csrf %}
								    {{ sw_csrf('frontend.checkout.promotion.add') }}
								{% endblock %}
								
								{% block component_offcanvas_cart_actions_promotion_redirect %}
								    <input type="hidden"
								           name="redirectTo"
								           value="frontend.checkout.confirm.page">
								{% endblock %}
								
								{% block component_offcanvas_cart_actions_promotion_input_group %}
								    <div class="input-group">
								        {% block component_offcanvas_cart_actions_promotion_label %}
								            <label class="sr-only" for="addPromotionOffcanvasCartInput">
								                {{ "checkout.addPromotionLabel"|trans|sw_sanitize }}
								            </label>
								        {% endblock %}
								
								        {% block component_offcanvas_cart_actions_promotion_input %}
								            <input type="text"
								                   name="code"
								                   class="form-control"
								                   id="addPromotionOffcanvasCartInput"
								                   placeholder="{{ "sanicura.checkout.voucher.notice"|trans|sw_sanitize }}"
								                   aria-label="{{ "checkout.addPromotionLabel"|trans|striptags }}"
								                   aria-describedby="addPromotionOffcanvasCart"
								                   required>
								        {% endblock %}
								
								        {% block component_offcanvas_cart_actions_promotion_submit %}
								            <div class="input-group-append">
								                <button class="btn btn-danger"
								                        type="submit"
								                        id="addPromotionOffcanvasCart">
								                    {% sw_icon 'checkmark' %}
								                </button>
								            </div>
								            
								        {% endblock %}
								    </div>
								{% endblock %}
							</form>
						</div>
					{% endblock %}
				</div>
			</div>
		{% endblock %}
	</div>
	{{ parent() }}
{% endblock %}